<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button
    mbButtonTextColor="#141ED2"
    (click)="sendEmployee()"
    *ngIf="objFunction?.edit"
    mbButtonSize="MEDIUM"
    mbButtonText="{{ 'common.button.sendEmployee' | translate }}"
  >
  </mb-button>
  <mb-button
    mbButtonType="NO_BORDER"
    (click)="save()"
    *ngIf="objFunction?.edit"
    mbButtonSize="LARGE"
    mbButtonText="{{ 'common.button.saveS' | translate }}"
    mbButtonAvailableStyle="PRIMARY"
  >
  </mb-button>
</div>
<form-search-employee-component
  [isJanuary]="true"
  [isJob]="false"
  [isOrgId]="false"
  [isStatus]="true"
  [IsAssessmentTime]="true"
  [listStatus]="listStatus"
  [isYear]="false"
  (getListSearchDataEmployee)="receiveDataEmployee($event)"
>
</form-search-employee-component>
<div class="data-table ant-table-content">
  <nz-table
    #basicTable
    [nzData]="listData"
    nzTableLayout="fixed"
    [nzFrontPagination]="false"
    [nzScroll]="{ x: '10em', y: '35em' }"
    nzSize="small"
  >
    <thead>
    <tr>
      <th
        *ngFor="let column of InitColumnHeaderTable"
        [nzSortOrder]="column.sortOrder"
        [nzSortFn]="column.sortFn"
        [nzSortDirections]="column.sortDirections"
        [nzWidth]="column.nzWidth"
        [ngClass]="{'text-center': column.name === 'STT'}"
        scope="col"
        nzCustomFilter
        [nzColumnKey]="column.name"
      >
        {{ column.name === '' ? ('goaManagement.evaluateEmpResult.table.target' | translate) + " " + periodName : column.name}}
      </th>
    </tr>
    </thead>
    <tbody>
    <ng-container *ngFor="let data of basicTable.data; index as i">
      <tr (dblclick)="showModal(true)" [ngStyle]="{ height: data?.subs ? '4rem' : '' }">
        <td class="text-center">{{ i + 1 }}</td>
        <td nz-tooltip [nzTooltipTitle]="data.empCode" class="no-wrap">{{ data.empCode }}</td>
        <td nz-tooltip [nzTooltipTitle]="data.fullName" class="no-wrap">
          {{ data.fullName }}
        </td>
        <td nz-tooltip [nzTooltipTitle]="data.posName" class="no-wrap">
          {{ data.posName }}
        </td>
        <td nz-tooltip [nzTooltipTitle]="data.sotName" class="no-wrap">{{ data.sotName }}</td>
        <td nz-tooltip [nzTooltipTitle]="renderType(data.assignedType)" class="no-wrap">
          {{ renderType(data.assignedType) }}
        </td>
        <td nz-tooltip [nzTooltipTitle]="data.scoreCardName" class="no-wrap">
          {{ data.scoreCardName }}
        </td>
        <td nz-tooltip [nzTooltipTitle]="data.nameTarget">
          {{ data.nameTarget }}
        </td>
        <td nz-tooltip [nzTooltipTitle]="data.targetTypeName">
          {{ data.targetTypeName }}
        </td>
        <td class="no-wrap text-right">{{ roundNumber(data.scale * 100) }}</td>
        <td class="no-wrap text-right">{{ data.subs ? '' : roundNumber(data.estimateNum) }}</td>
        <td>
          <mb-input-text
            *ngIf="!data?.subs"
            [mbShowFlexEnd]="false"
            appNumberic
            [num]="100"
            [decimals]="2"
            [mbType]="data.isRequired ? 'error' : 'default'"
            [ngModel]="data.resultNum | covertNumberString0"
            [mbDisable]="!data?.isEditAble"
            (dblclick)="stopPopupEvent($event)"
            (mbChange)="caculateResult($event, data)"
          ></mb-input-text>
          <span *ngIf="!data?.subs && data.isRequired">
            <em nz-icon nzType="close-circle" style="color: #ff4d4f" nzTheme="outline"></em>
            <span style="color: #ff4d4f; padding-left: 10px">Bắt buộc nhập</span>
          </span>
        </td>
        <td class="no-wrap text-right">
          {{ data?.subs ? roundNumber(sum(data.subs, data)) : roundNumber(data.point) }}
        </td>
        <td>
          <mb-input-text *ngIf="!data?.subs" [mbShowFlexEnd]="false" [(ngModel)]="data.description"
                         (dblclick)="stopPopupEvent($event)"></mb-input-text>
        </td>
      </tr>
      <ng-container *ngIf="data?.subs && data?.subs.length > 0">
        <tr (dblclick)="showModal(true)" *ngFor="let item of data.subs; index as j">
          <td></td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
          <td nz-tooltip [nzTooltipTitle]="item.nameTarget">
            <p class="no-wrap sub-target">&#8226; {{ item.nameTarget }}</p>
          </td>
          <td nz-tooltip [nzTooltipTitle]="item.targetTypeName">
            {{ item.targetTypeName }}
          </td>
          <td class="no-wrap text-right" nzRight>{{ roundNumber(item.scale * 100) }}</td>
          <td class="no-wrap text-right">{{ roundNumber(item.estimateNum) }}</td>
          <td>
            <div style="margin-left: 1rem">
              <mb-input-text
                *ngIf="data.typeRule !== 1"
                [mbShowFlexEnd]="false"
                appNumberic
                [num]="100"
                [decimals]="2"
                [mbType]="item.isRequired ? 'error' : 'default'"
                [ngModel]="item.resultNum | covertNumberString0"
                (mbChange)="caculateResult($event, item)"
                [mbDisable]="!data?.isEditAble"
                (dblclick)="stopPopupEvent($event)"
              ></mb-input-text>
              <span *ngIf="item.isRequired">
                <em nz-icon nzType="close-circle" style="color: #ff4d4f" nzTheme="outline"></em>
                <span style="color: #ff4d4f; padding-left: 10px">Bắt buộc nhập</span>
              </span>
            </div>
          </td>
          <td nz-tooltip class="no-wrap text-right">{{ roundNumber(item.point) }}</td>
          <td>
            <div style="margin-left: 1rem">
              <mb-input-text [mbShowFlexEnd]="false" [(ngModel)]="item.description"
                             (dblclick)="stopPopupEvent($event)"
              ></mb-input-text>
            </div>
          </td>
        </tr>
      </ng-container>
    </ng-container>
    </tbody>
  </nz-table>
</div>
<nz-modal [(nzVisible)]="isVisible" nzTitle="" [nzFooter]="modalFooter" nzWidth="80vw" (nzOnCancel)="showModal(false)">
  <div style="margin-top: 1rem" *nzModalContent>
    <nz-table
      #dataTableModal
      [nzData]="listDataModal"
      class="data-table ant-table-content"
      [nzScroll]="{ x: '1000px', y: '35rem' }"
      nzSize="small"
      [nzShowPagination]="false"
      nzTableLayout="fixed"
    >
      <thead>
        <tr>
          <th scope="col">{{'goaManagement.evaluateEmpResult.table.fullName' | translate}}</th>
          <th scope="col">{{'goaManagement.evaluateEmpResult.table.position' | translate}}</th>
          <th scope="col">{{'goaManagement.evaluateEmpResult.table.density' | translate}} (%)</th>
          <th scope="col">{{'goaManagement.evaluateEmpResult.table.total' | translate}}</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of dataTableModal.data; index as i">
          <td>{{ data.fullName }}</td>
          <td>{{ data.posName }}</td>
          <td>{{ roundNumber(data.scaleNumSot * 100) }}</td>
          <td>{{ roundNumber(data.total) }}</td>
        </tr>
      </tbody>
    </nz-table>
  </div>
  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
